Subject: Re: [PATCH] push.default: Rename 'tracking' to 'upstream'

From: Jakub Narebski <[email-masked]>
Date: Wed, 16 Feb 2011 11:08:22 +0100

Dnia środa 16. lutego 2011 10:42, Martin von Zweigbergk napisał:
> On Wed, 16 Feb 2011, Matthieu Moy wrote:
> 
> > Johan Herland <[email-masked]> writes:
> > 
> > > In order to make this more understandable to the user, we rename the
> > > push.default == 'tracking' option to push.default == 'upstream'.
> > 
> > While we're there, shouldn't we also rename 'branch.<remote>.merge' to
> > 'branch.<remote>.upstream'?
> 
> I have a draft proposal not exactly to rename it, but to replace it by
> a new branch.<name>.upstream which would point to local ref rather
> than a ref on the remote, so one would have e.g.
> branch.topic.upstream = refs/remotes/origin/master. Maybe I should
> clean up that proposal and send it soon. The topic comes up quite
> frequently.

Actually while I think that it makes more sense to use local ref for
'branch.<name>.merge' because it is what is merged, i.e.:

  branch.topic.merge = refs/remotes/origin/master

or in case of tracking local branch

  branch.topic.remote = .
  branch.topic.merge  = refs/heads/master

I think that for 'branch.<name>.upstream' it would make more sense to
use the name that *upstream* uses, i.e.

  branch.topic.upstream = refs/heads/master

-- 
Jakub Narebski
Poland